namespace InABox.Core
{
    public class SecurityGroupLookups : EntityLookup<SecurityGroup>
    {
        public override Columns<SecurityGroup> DefineColumns()
        {
            return Columns.None<SecurityGroup>().Add(
                x => x.ID,
                x => x.Code,
                x => x.Description
            );
        }

        public override Filter<SecurityGroup> DefineFilter()
        {
            return null;
        }

        public override SortOrder<SecurityGroup> DefineSortOrder()
        {
            return new SortOrder<SecurityGroup>(x => x.Code);
        }
    }
}